Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 82557 - Anaconda allows too many partitions on scsi disks
Anaconda allows too many partitions on scsi disks
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Mike McLean
:
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-23 07:09 EST by Panu Matilainen
Modified: 2007-04-18 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 19:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panu Matilainen 2003-01-23 07:09:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030121

Description of problem:
Disk druid allows one to create unlimited number of partitions on a SCSI-disk
and ignores the fact that there are only 15 minor numbers allocated to each
whole disk. Eg, you create partitions sda1-15 (oh and for some reason it never
created /dev/sda15 node) and then sixteenth, which in major:minor numbers means
sdb the whole disk.. etc. Funny things start happening.

Version-Release number of selected component (if applicable): up to and
including 8.0.93-8


How reproducible:
Always

Steps to Reproduce:
1. Run anaconda on a system with a SCSI-disk
2. Create at least >= 16 partitions on the SCSI-disk
3. Try to continue installation
    

Actual Results:  One starts getting errors like: "Error informing the kernel
about modifications to partition /dev/sda18 - invalid argument. This means Linux
won't know about any changes you made to /dev/sda18 untill you reboot - so you
shoudn't mount it or use it in any way before rebooting." Trying to continue
installation will result in crash:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 919, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 155, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 222, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 454, in turnOnFilesystems
    diskset.savePartitions ()
  File "/usr/lib/anaconda/partedUtils.py", line 595, in savePartitions
    disk.commit()
error: Error: Error informing the kernel about modifications to partition
/dev/sda18 - Invalid argument.  This means Linux won't know about any changes
you made to /dev/sda18 until you reboot - so you shouldn't mount it or use it in
any way before rebooting.

After rebooting, parted thinks there *are* 18 partitions on that disk.. & other
funny things.


Expected Results:  It should stop allowing adding new partitions when it can't
allocate them.


Additional info:

The same thing would probably happen with IDE too, only there the limit is
higher (I didn't have the stamina to create 64 partitions to try it).

Hmm.. not sure if this should be fixed in anaconda or parted - I guess parted
should know about the scsi-limitation as well?
Comment 1 Michael Fulbright 2003-01-23 10:57:42 EST
Matt - why does parted let us do this?
Comment 3 M Jang 2003-02-18 16:00:16 EST
I see similar behavior with IDE hard disks. 
Comment 4 Jeremy Katz 2003-07-09 01:04:41 EDT
Fixed in CVS
Comment 5 Bill Nottingham 2003-07-30 19:08:00 EDT
Closing out some bugs that have been in MODIFIED state. Please reopen if they
persist.

Note You need to log in before you can comment on or make changes to this bug.